Download it now!
Bug 77428 - EDITING: Link field is corrupted with H2 JDBC
Summary: EDITING: Link field is corrupted with H2 JDBC
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Database-Connectivity
  Show dependency treegraph
 
Reported: 2014-04-14 10:45 UTC by vdenberg+bugzilla
Modified: 2019-05-14 02:56 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Editor meshes link field name. (50.66 KB, image/png)
2014-04-14 10:45 UTC, vdenberg+bugzilla
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vdenberg+bugzilla 2014-04-14 10:45:54 UTC
Created attachment 97344 [details]
Editor meshes link field name.

Used H2 database engine 1.4.177.

Problem description: 


Steps to reproduce:
1. Use a simple master-detail table construct with a foreign key constraint.
2. Use Wizard to Create a Form...
3. Open form.

Current behavior:

When a form is build, the Link field is corrupted with a starting double quote replacing the first character of the field name and the last character is also replaced with a double quote ("). Eg. FIELDNAME becomes "IELDNAM"

When hand correcting the .ods file with deleting the " out, in order to get a working version, the link field name the "IELDNAM" version is displayed in the editor.

Using the editor again, the field names will be redecorated with superfluous double quotes.

This result in a "The data content could not be loaded." error, and the database reports: Syntax error in SQL statement "SELECT * FROM ""TESTSLICK"".""CHEAPTRIP"".""PTR_FARES"" WHERE ( ""STOPPINGPLACE_B"" = :[*]LINK_FROM_STOPPLACE ) "; expected "ALL, ANY, SOME, SELECT, FROM"; SQL statement:
SELECT * FROM "TESTSLICK"."CHEAPTRIP"."PTR_FARES" WHERE ( "STOPPINGPLACE_B" = :link_from_STOPPLACE ) [42001-177]

Expected behavior:

Performing with loaded data.

              
Operating System: Windows 7
Version: 4.2.3.3 rc
Comment 1 Robert Großkopf 2014-04-15 15:16:47 UTC
(In reply to comment #0)
 
> When a form is build, the Link field is corrupted with a starting double
> quote replacing the first character of the field name and the last character
> is also replaced with a double quote ("). Eg. FIELDNAME becomes "IELDNAM"

I have had a look at your screenshot. Don't know, what you mean. I could read STOPPLACE for the field at the header of the tablecontrol and at the dialog «link fields». I could read "STOPPLACE" in the properties of the connection - not "TOPPLAC". There is nothing replaced.

For some external database the named parameters don't work. Please have a look at Edit → Database → Advanced Settings → Special Settings. Try to set "Replace named parameters with '?'"

I couldn't test your special database-connection. Have no H2-database and no Windows-system installed.
Comment 2 Alex Thurgood 2015-01-03 17:39:45 UTC Comment hidden (no-value)
Comment 3 QA Administrators 2016-01-17 20:05:36 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT:

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-01-17
Comment 4 QA Administrators 2019-05-14 02:56:27 UTC
Dear vdenberg+bugzilla,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug